package kuzumeji.action.list.erp.mng;
import kuzumeji.action.list.BaseEntityQuery;
import kuzumeji.entity.erp.mng.WorkerCost;
import org.jboss.seam.annotations.Name;
@Name("workerCostList")
public class WorkerCostList extends BaseEntityQuery<WorkerCost> {
    private static final String EJBQL = "select workerCost from WorkerCost workerCost";
    private static final String[] RESTRICTIONS = { "workerCost.activityCat = #{workerCostList.workerCost.activityCat}",
            "workerCost.costName like (concat(#{workerCostList.workerCost.costName},'%'))",
            "workerCost.denominator = #{workerCostList.workerCost.denominator}", };
    private WorkerCost workerCost = new WorkerCost();
    public WorkerCostList() {
        super(EJBQL, RESTRICTIONS);
    }
    public WorkerCost getWorkerCost() {
        return workerCost;
    }
}
